/**
 * company.js
 * Copyright (C) 2007-2011 Tommi Rautava
 * 
 * This file is part of Popomungo.
 *
 * Popomungo is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Popomungo is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

org.mozdev.popomungo.Company = {

	// /Common/Locale.asp?action=view&LocaleID=123
	localeIdRegExp: /\/locale\.asp\?.*?\&localeid=(\d+)/i,

	highlightCeoLocale: function highlightCeoLocale(aDocument) {
		try {
			var highlightLocale = org.mozdev.popomungo.prefs.isEnabled("extensions.popomungo.options.company.highlightCeoLocale.enabled"); 

			if (!(highlightLocale)) {
				return;
			}
			
			var ceoCompanyId= org.mozdev.popomungo.UserSettings.getCEOCompanyId(aDocument);
			var nodes = org.mozdev.popomungo.ElementCache.getElementsByTagName('a', aDocument);
			
			org.mozdev.popomungo.logger.debug('CEO company='+ ceoCompanyId +
				', nodes='+ nodes.length);

			for (var i = 0, node; node = nodes[i]; i++) {
				var res = node.href.match(this.localeIdRegExp);

				//org.mozdev.popomungo.logger.debug(i +': res='+ res +', href='+ node.href);
				
				if (res) {
					var companyId = res[1];
					
					//org.mozdev.popomungo.logger.debug(i +': companyId='+ companyId +
					//	', ceoCompanyId='+ ceoCompanyId);
					
					if (companyId == ceoCompanyId) {
						org.mozdev.popomungo.logger.debug(i +': CEO company');
						node.parentNode.className = 'popomungo_highlight';
					}
				}
			}	
		}
		catch (err)	 {
			org.mozdev.popomungo.logger.logError(err);
		}
	},
	
	
	updateCompaniesOnLoad:
	function updateCompaniesOnLoad(doc) {
		try {
			// TODO
		}
		catch (err)	 {
			org.mozdev.popomungo.logger.logError(err);
		}
	}
};
